class 'npc' (D2Person)

function npc:__init(baseName) super(baseName)

	self:setWalkTimePerNode(70)

end

function npc:calcImageName(input)

  	in_ = input;

  	if (self:isSitting()) then
   		if (input == "IDLE") then
      		in_ =  "SIT"
   		end
  	end

  	res = D2Person.calcImageName(self, in_)
  
  	return res
  
end